import request from '@/utils/request'

export function getUserCenter(header?: any) {
    return request.get({ url: '/user/center', header })
}

// 个人信息
export function getUserInfo() {
    return request.get({ url: '/user/info' }, { isAuth: true })
}

// 个人编辑
export function userEdit(data: any) {
    return request.post({ url: '/user/edit', data }, { isAuth: true })
}

// 绑定手机
export function userBindMobile(data: any, header?: any) {
    return request.post({ url: '/user/bindMobile', data, header }, { isAuth: true })
}

// 微信电话
export function userMnpMobile(data: any) {
    return request.post({ url: '/user/mnpMobile', data }, { isAuth: true })
}

// 更改密码
export function userChangePwd(data: any) {
    return request.post({ url: '/user/changePwd', data }, { isAuth: true })
}

// 地址列表
export const apiAddressLists = () => request.get({ url: '/address/list' })

// 获取地址详情
export const apiAddressDetail = (params: any) =>
    request.get({ url: '/address/detail', data: params })

// 编辑地址
export const apiAddressEdit = (params: any) => request.post({ url: '/address/edit', data: params })

// 新增地址
export const apiAddressAdd = (params: any) => request.post({ url: '/address/add', data: params })

// 删除地址
export const apiAddressDel = (params: any) => request.get({ url: '/address/del', data: params })

// 提交订单
export const apiEvaluateAdd = (params: any) => request.post({ url: '/comment/add', data: params })

//更新微信小程序头像昵称
export function updateUser(data: Record<string, any>, header: any) {
    return request.post({ url: '/user/updateUser', data, header })
}
